package com.liquidnet.service.goblin.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class GoblinListCreateParam {
    @ApiModelProperty(value = "优先购名称",required = true)
    @NotNull(message = "优先购名称不能为空")
    private String name;
    @ApiModelProperty(value = "优先购类型[0-会员|1-指定用户]",required = true)
    @NotNull(message = "优先购类型不能为空")
    private Integer whiteType;
    @ApiModelProperty(value = "标签[0-提前购买|1-分段购买]",required = true)
    @NotNull(message = "标签类型不能为空")
    private Integer tagType;
    @ApiModelProperty(value = "优先购文件地址")
    private String whiteUrl;
    @ApiModelProperty(value = "开始时间",required = true)
    @NotNull(message = "开始时间不能为空")
    private String timeStart;
    @ApiModelProperty(value = "结束时间")
    private String timeEnd;
    @ApiModelProperty(value = "黑名单文件地址")
    private String blackUrl;
    @ApiModelProperty(value = "黑名单文件名称")
    private String blackName;
    @ApiModelProperty(value = "白名单文件名称")
    private String whiteName;
    @ApiModelProperty(value = "商品数据",required = true)
    private List<GoblinListCreateItemParam> itemParams;
}
